Subject: Re: How can I detect cygwin windows closing
From: "Wilfried Fauvel" <[email-masked]>
To: "samuel\.thibault" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Thu, 16 Feb 2006 12:02:00 +0100

Hi,
>
> Wilfried Fauvel, le Wed 15 Feb 2006 18:18:49 +0100, a écrit :
> > I have made a console apps, and I would like to know if it's possible to detect when the user click on the 'X' of the term window ?
> > I am catching SIGINT, SIGTERM and SIGKILL signals, but it does not seen to be enough.
>
> See SetConsoleCtrlHandler() and friends. I however never found a way to
> avoid being killed anyway, even by trying to detach from the console.

Thanks for your answer, I have just tested SetConsoleCtrlHandler and it seem to work (I started from MSDN example).

I am playing with signals since yesterday, and I have noticed one "problem" (this's really a problem ?) with signal handling, when my binary crash (... I can not say when and why, sorry), it will not be enable to caught any signals until I restart my computer (maybe closing my session can do the same result). Is it normal ? Can I detect when this "problem" happened ?

Regards.

>
> Regards,
> Samuel
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
> 

Accédez au courrier électronique de La Poste : www.laposte.net ; 
3615 LAPOSTENET (0,34 €/mn) ; tél : 08 92 68 13 50 (0,34€/mn)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/